> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Get a page of template documents

GET https://example.itential.io/automation-studio/templates

Returns a page of template documents.

Reference: https://docs.itential.com/itential-cloud/api-reference/automation-studio/get-templates

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `limit` (integer, optional, default: 25) — Number of results to return. Used for pagination.
- `skip` (integer, optional, default: 0) — Number of results to skip. Used for pagination.
- `order` (enum, optional, default: 1) — Sort direction, 1 for ascending and -1 for descending.
  - Allowed values: `-1`, `1`
- `sort` (enum, optional, default: name) — Field to sort by
  - Allowed values: `name`
- `exclude-project-members` (boolean, optional) — Flag which removes workflows from the results which are members of a project
- `include` (string, optional) — Inclusive projection operator formatted as a comma-delineated list. '_id' will be included implicitly unless excluded with 'exclude=_id'. May only be used in conjunction with 'exclude' when 'exclude=_id'.
- `exclude` (string, optional) — Exclusive projection operator formatted as a comma-delineated list. May only be used in conjunction with 'include' when 'exclude=_id'.
- `in` (string, optional) — Search for fields exactly matching one of the given list options
- `not-in` (string, optional) — Search for fields not exactly matching one of the given list options
- `equals` (string, optional) — Returns results where the specified fields exactly match the given match string(s).
- `contains` (string, optional) — Returns results where the specified fields contain the given match string(s).
- `starts-with` (string, optional) — Returns results where the specified fields start with the given match string(s).
- `ends-with` (string, optional) — Returns results where the specified fields end in the given match string(s).

## Response

### 200

Results for the given search parameters.

- `items` (list of object, optional)
  - `name` (string, required)
  - `group` (string, required)
  - `command` (string, required)
  - `description` (string, required)
  - `template` (string, required)
  - `data` (string, required)
  - `type` (enum, required)
    - Allowed values: `textfsm`, `jinja2`
  - `_id` (string, optional) — Unique identifier of the automation
  - `namespace` (object, optional)
    - `type` (any, required)
    - `_id` (object, required) — A MongoDB ObjectId
    - `name` (string, required)
  - `createdBy` (string, optional) — Unique identifier of the automation
  - `created` (string, optional)
  - `lastUpdatedBy` (string, optional) — Unique identifier of the automation
  - `lastUpdated` (string, optional)
  - `version` (double, optional)
  - `tags` (list of object, optional)
    - `_id` (string, optional) — Unique identifier of the automation
    - `name` (string, optional) — user-given, unique string to ID tag
- `total` (integer, optional) — Total number of documents matching the given query parameters.
- `start` (integer, optional) — Search index of first document in the items array.
- `end` (integer, optional) — Search index of the last document in the items array.
- `count` (integer, optional) — Length of the items array.
- `next` (string, optional, nullable) — URI pointing to the next set of paginated results. Preserves previous search and projection parameters. Null if returning the last page of results.
- `previous` (string, optional, nullable) — URI pointing to the previous set of paginated results. Preserves previous search and projection parameters. Null if returning the first page of results.

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "items": [
    {
      "name": "arista_eos_show_clock",
      "group": "Arista",
      "command": "show clock",
      "description": "Arista Show Clock Info",
      "template": "Value TIME (d+:d+:d+)\nValue TIMEZONE (S+)\nValue DAYWEEK (w+)\nValue MONTH (w+)\nValue DAY (d+)\nValue YEAR (d+)\n\nStart\n  ^${DAYWEEK}s+${MONTH}s+${DAY}s+${TIME}s+${YEAR}\n  ^[t|T]imezone(:|sis)s+${TIMEZONE} -> Record\n",
      "data": "Mon Jan 14 18:42:49 2013\ntimezone is US/Central",
      "type": "textfsm",
      "_id": "string",
      "namespace": {
        "type": null,
        "_id": {},
        "name": "Juniper JUNOS"
      },
      "createdBy": "string",
      "created": "2019-11-25T22:51:39.201Z",
      "lastUpdatedBy": "string",
      "lastUpdated": "2019-11-25T22:51:39.201Z",
      "version": 1,
      "tags": [
        {
          "_id": "string",
          "name": "string"
        }
      ]
    }
  ],
  "total": 1,
  "start": 1,
  "end": 1,
  "count": 1,
  "next": "string",
  "previous": "string"
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/automation-studio/templates"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/automation-studio/templates';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/automation-studio/templates"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/automation-studio/templates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/automation-studio/templates")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/automation-studio/templates');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/automation-studio/templates");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/automation-studio/templates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```